# -*- coding: utf-8 -*-
"""Bkgfield.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Sky import persistent
from micado.templates.MicadoImgObsBgVirtual import MicadoImgObsBgVirtual
from micado.dataitems.BkgfieldExtension import BkgfieldExtension
from micado.dataitems.BkgfieldExtra import BkgfieldExtra


class Bkgfield(BkgfieldExtra):
    """Raw data for background determination."""

    template = persistent("The template [][None]", MicadoImgObsBgVirtual, None)

    extensions = persistent("BkgfieldExtensions [][None]", BkgfieldExtension, [])
