# -*- coding: utf-8 -*-
"""CalibHCIQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class CalibHCIQC(QCParameters):
    """CalibHCIQC."""

    CALIBRATED_MEAN = persistent(
        "Mean of the pixel values in the calibrated image per detector <i>. [QC "
        "CALIMEAi][None]",
        float,
        0.0,
    )

    CALIBRATED_STDEV = persistent(
        "Standard deviation of the pixel values in the calibrated image per detector "
        "<i>. [QC CALISTDi][None]",
        float,
        0.0,
    )
