# -*- coding: utf-8 -*-
"""CubeHCI.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Img import persistent
from micado.dataitems.CalibHCI import CalibHCI
from micado.recipes.McdImgCubeHCI import McdImgCubeHCI
from micado.dataitems.CubeHCIQC import CubeHCIQC
from micado.dataitems.CubeHCIExtra import CubeHCIExtra


class CubeHCI(CubeHCIExtra):
    """Cube of calibrated HCI images."""

    calibs = persistent("Calibrated HCI Science Images [][None]", CalibHCI, [])

    recipe = persistent("The recipe [][None]", McdImgCubeHCI, None)

    qc = persistent("Quality Control parameters [][None]", CubeHCIQC, None)
