# -*- coding: utf-8 -*-
"""DetrendFinal.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendFinalSiaiBase import DetrendFinalSiaiBase, persistent
from micado.dataitems.Detrend import Detrend


class DetrendFinal(DetrendFinalSiaiBase):
    """DetrendFinal.

    Image which has been corrected for instrumental effects, and background
    subtracted.
    """

    detrend = persistent("Detrended Science Image [][None]", Detrend, None)
