# -*- coding: utf-8 -*-
"""DetrendQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class DetrendQC(QCParameters):
    """None."""

    detrend_mean_sky = persistent("Mean sky brightness [QC DETSMEAN][adu]", float, 0.0)

    detrend_mean_median = persistent(
        "Median sky brightness in each detector [QC DETSMED][adu]", float, 0.0
    )

    detrend_std = persistent(
        "standard deviation of pixel values in each detector. [QC DETSSTD][adu]",
        float,
        0.0,
    )

    detrend_n_crays = persistent(
        "Total number of cosmic rays detected in each detector [QC DETRENCR][None]",
        int,
        0,
    )

    num_pix_nonlinear = persistent("Number of non-linear [QC NPIXNONL][None]", int, 0)

    frac_pix_nonlinear = persistent(
        "Percentage of non-linear pixels [QC FPIXNONL][None]", float, 0.0
    )
