# -*- coding: utf-8 -*-
"""DistortionQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class DistortionQC(QCParameters):
    """None."""

    distortxmin = persistent(
        "Minimal distortion in X. [QC DISTORTXMIN][None]", float, 0.0
    )

    distortxmax = persistent(
        "Maximal distortion in X. [QC DISTORTXMAX][None]", float, 0.0
    )

    distortxmedian = persistent(
        "Median distortion in X. [QC DISTORTXMEDIAN][None]", float, 0.0
    )

    distortxmean = persistent(
        "Mean distortion in X. [QC DISTORTXMEAN][None]", float, 0.0
    )

    distortymin = persistent(
        "Minimal distortion in Y. [QC DISTORTYMIN][None]", float, 0.0
    )

    distortymax = persistent(
        "Maximal distortion in Y. [QC DISTORTYMAX][None]", float, 0.0
    )

    distortymedian = persistent(
        "Median distortion in Y. [QC DISTORTYMEDIAN][None]", float, 0.0
    )

    distortymean = persistent(
        "Mean distortion in Y. [QC DISTORTYMEAN][None]", float, 0.0
    )
