# -*- coding: utf-8 -*-
"""DpsicsStaroffsetBase.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Tab import Tab, persistent
from micado.main.SkyHCI import SkyHCI
from micado.dataitems.MasterDark import MasterDark
from micado.dataitems.MasterFlat import MasterFlat
from micado.recipes.McdHciOptSciBase import McdHciOptSciBase


class DpsicsStaroffsetBase(Tab):
    """Position and Offset of Star."""

    raw = persistent("raw [][None]", SkyHCI, None)

    masterdark = persistent("MasterDark. [][None]", MasterDark, None)

    masterflat = persistent("MasterFlat. [][None]", MasterFlat, None)

    recipe = persistent("recipe [][None]", McdHciOptSciBase, None)
