# -*- coding: utf-8 -*-
"""DpsicsStaroffsetSci.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DpsicsStaroffsetBase import DpsicsStaroffsetBase, persistent
from micado.dataitems.ScienceCoroWaffle import ScienceCoroWaffle
from micado.recipes.McdHciSci import McdHciSci


class DpsicsStaroffsetSci(DpsicsStaroffsetBase):
    """Position and Offset of Star for Sky."""

    raw = persistent("raw [][None]", ScienceCoroWaffle, None)

    recipe = persistent("recipe [][None]", McdHciSci, None)
