# -*- coding: utf-8 -*-
"""Nonlin.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Opt import Opt, persistent
from micado.templates.MicadoImgTecNonlin import MicadoImgTecNonlin
from micado.dataitems.NonlinExtension import NonlinExtension


class Nonlin(Opt):
    """Nonlin.

    Raw exposure using the flatfield lamp in imaging mode for non-linearity
    correction.
    """

    filtname = persistent("Filter name [INS FILT NAME][None]", str, "open")

    template = persistent("The template [][None]", MicadoImgTecNonlin, None)

    extensions = persistent("Extensions [][None]", NonlinExtension, [])
