"""Module with persistent Cat classes."""

from typing import List, Tuple, Optional

from micado.main.DataItem import DataItem
from micado.main.DataItemExtra import KEY_CAT


class CatExtra(DataItem):
    """A Catalog DataItem (always External)."""

    # TODO: These methods are only correct for external DataItems,
    # that is, AstromRef and PhotomRef.
    @classmethod
    def layer_names(cls) -> Tuple[List[str], List[str]]:
        """The names of the layers of this data product."""
        return [KEY_CAT], []

    @classmethod
    def layers_number(cls) -> Tuple[Optional[int], Optional[int]]:
        """Minimum/maximum number of detectors for each layer."""
        return 1, 1
