# -*- coding: utf-8 -*-
"""DataExtensionImage.

This module is part of the base classes of MicadoWISE.

The idea is that the other packages only contain concrete classes, that
are derived from (effectively) abstract base classes in this package.

This file is automatically generated. Do not modify!
"""

from micado.main.DataExtension import persistent
from micado.main.DataExtensionImageExtra import DataExtensionImageExtra


class DataExtensionImage(DataExtensionImageExtra):
    """Image extension to a FITS file."""

    NAXIS1 = persistent("Length of data in axis 1 [][None]", int, 0)

    NAXIS2 = persistent("Length of data in axis 2 [][None]", int, 0)

    EXTNAME = persistent(
        "Used to distinguish different extensions of the same type in the FITS file. "
        "[EXTNAME][]",
        str,
        "",
    )

    INHERIT = persistent(
        "If an extension header contains the keyword INHERIT = T, then that header "
        "should inherit the keywords from the primary header (except for the mandatory "
        "and commentary keywords). [INHERIT][]",
        str,
        "T",
    )
