# -*- coding: utf-8 -*-
"""Terminology as used in the ESO archive."""

from enum import Flag, auto


# TODO: Generate these automatically from VODML
class DprCategory(Flag):
    """Category of the observation. Multiple choices are allowed.

    Based
    - http://archive.eso.org/eso/eso_archive_help.html#DPR_category
    - Table 9 in
    http://archive.eso.org/cms/tools-documentation/dicb/ESO-044156_6DataInterfaceControlDocument.pdf
    -
    https://docs.google.com/spreadsheets/d/1BbQkf8l8fCPSYf7skE8y0GC2UMK8kPWBkjY0ojhZqVs/edit#gid=751586500
    """

    # Any scientific object
    SCIENCE = auto()
    # Any calibration source
    CALIB = auto()
    # Any scientific object
    ACQUISITION = auto()
    # Any exposure taken to verify instrument performance/setup
    TECHNICAL = auto()
    # Any exposure taken to test instrument performance/setup/software/
    # conditions
    TEST = auto()
    # Any simulated exposure
    SIMULATION = auto()
    # Any other exposure
    OTHER = auto()
