# -*- coding: utf-8 -*-
"""Opt.

This module is part of the base classes of MicadoWISE.

The idea is that the other packages only contain concrete classes, that
are derived from (effectively) abstract base classes in this package.

This file is automatically generated. Do not modify!
"""

from micado.main.Raw import Raw, persistent
from micado.hardware.Instrument import Instrument, default_instrument
from micado.hardware.RelayOptics import RelayOptics, default_relayoptics


class Opt(Raw):
    """An exposure that goes through the optics."""

    filtname = persistent("Filter name [INS FILT NAME][None]", str, "open")

    instrument = persistent(
        "ESO acronym for the instrument used. [INSTRUME][]",
        Instrument,
        default_instrument,
    )

    relay_optics = persistent("RelayOptics [][None]", RelayOptics, default_relayoptics)
