# -*- coding: utf-8 -*-
"""Template.

This module is part of the base classes of MicadoWISE.

The idea is that the other packages only contain concrete classes, that
are derived from (effectively) abstract base classes in this package.

This file is automatically generated. Do not modify!
"""

from micado.main.MObject import persistent
from micado.main.TemplateExtra import TemplateExtra


class Template(TemplateExtra):
    """Template."""

    dpr__catg = persistent("Data product category [DPR CATG][None]", str, "NODEFAULT")

    dpr__tech = persistent("Data product technique [DPR TECH][None]", str, "")

    dpr__type = persistent("Data product type [DPR TYPE][None]", str, "")

    ins__readmode = persistent(
        "Readout mode of the detector [INS READMODE][None]", str, "CDS"
    )

    det__dit = persistent(
        "Detector integration time (average when NDIT > 1) [DET DIT][s]", float, 1.0
    )

    det__ndit = persistent("Number of detector integrations [DET NDIT][None]", int, 1)

    instrume = persistent("ESO acronym for the instrument used. [INSTRUME][]", str, "")
