# -*- coding: utf-8 -*-
"""ApplyMasterFlat.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.recipes.ApplyPersistence import ApplyPersistence
from micado.dataitems.MasterFlat import MasterFlat
from micado.main.RecipeStepExtra import RecipeStepBase


class ApplyMasterFlat(Img, RecipeStepBase):
    """Apply MasterFlat Correction."""

    raw = persistent(
        "Persistence and dark corrected raws. [][None]", ApplyPersistence, None
    )

    masterflat = persistent("MasterFlat. [][None]", MasterFlat, None)
