# -*- coding: utf-8 -*-
"""ApplyNonlinearity.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.recipes.CreateVarDqLayers import CreateVarDqLayers
from micado.dataitems.Nonlinearity import Nonlinearity
from micado.main.RecipeStepExtra import RecipeStepBase


class ApplyNonlinearity(Img, RecipeStepBase):
    """Apply Non-linearity Correction."""

    thresh_uplim_nonlin = persistent(
        "Upper threshold of non-linearity as percentage of flux [REC NONLIN "
        "THRESUP][None]",
        float,
        1.0,
    )

    raw = persistent("A Raw [][None]", CreateVarDqLayers, None)

    nonlinearity = persistent("Nonlinearity. [][None]", Nonlinearity, None)
