# -*- coding: utf-8 -*-
"""ApplyPersistence.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.recipes.ApplyMasterDark import ApplyMasterDark
from micado.dataitems.Persistence import Persistence
from micado.main.RecipeStepExtra import RecipeStepBase


class ApplyPersistence(Img, RecipeStepBase):
    """Apply Persistence Correction.

    For each detector adapt the extensions as follows:

    * DATA: Subtract the DATA layer of the Persistence image.
    * ERR: Propagate the ERR layer of the Persistence image
    assuming uncorrelated uncertainties.
    * DQ: XOR with the DQ layer of the Persistence image.

    TODO: Ensure that the external Persistence map meets these requirements.
    TODO: Perhaps keep the persistence as a separate layer.
    """

    previous = persistent(
        "Non-linearity and Dark corrected image [][None]", ApplyMasterDark, None
    )

    persistence = persistent("Persistence Image [][None]", Persistence, None)
