# -*- coding: utf-8 -*-
"""CreateSourceCatalogAstrom.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.recipes.CreateSourceCatalogFinal import CreateSourceCatalogFinal, persistent
from micado.dataitems.DetrendFinalBase import DetrendFinalBase
from micado.dataitems.Astrom import Astrom
from micado.main.RecipeStepExtra import RecipeStepBase


class CreateSourceCatalogAstrom(CreateSourceCatalogFinal, RecipeStepBase):
    """Create Source Catalog using Astrometric solution."""

    inputs = persistent("fully detrended image [][None]", DetrendFinalBase, None)

    astrom = persistent("Astrometric Solution [][None]", Astrom, None)
