# -*- coding: utf-8 -*-
"""CreateSourceCatalogFinal.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.recipes.CreateSourceCatalogBase import CreateSourceCatalogBase, persistent
from micado.dataitems.DetrendFinalBase import DetrendFinalBase
from micado.main.RecipeStepExtra import RecipeStepBase


class CreateSourceCatalogFinal(CreateSourceCatalogBase, RecipeStepBase):
    """Create Source Catalog from DetrendFinal."""

    inputs = persistent("fully detrended image [][None]", DetrendFinalBase, None)
