# -*- coding: utf-8 -*-
"""DeriveMasterDark.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.recipes.CreateVarDqLayers import CreateVarDqLayers
from micado.dataitems.MasterDarkQC import MasterDarkQC
from micado.main.RecipeStepExtra import RecipeStepBase


class DeriveMasterDark(Img, RecipeStepBase):
    """Derive MasterDark."""

    thresh_uplim_dark = persistent(
        "Upper threshold of dark values [REC DARK THRESUP][adu]", float, 0.0
    )

    darks = persistent(
        "A list of initialized raw darks. [][None]", CreateVarDqLayers, []
    )

    qc = persistent("MasterDarkQC [][None]", MasterDarkQC, None)
