# -*- coding: utf-8 -*-
"""DeriveMasterFlat.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.recipes.ApplyMasterDark import ApplyMasterDark
from micado.main.RecipeStepExtra import RecipeStepBase


class DeriveMasterFlat(Img, RecipeStepBase):
    """Derive MasterFlat."""

    thresh_lowlim_flat = persistent(
        "Lower threshold of flat values [REC FLAT THRESLOW][adu]", float, 0.0
    )

    flats = persistent(
        "A list of persistence and dark corrected Flats [][None]", ApplyMasterDark, []
    )
