# -*- coding: utf-8 -*-
"""DerivePositionStar.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.RecipeStep import RecipeStep, persistent
from micado.recipes.DeriveDpsicsDetrend import DeriveDpsicsDetrend


class DerivePositionStar(RecipeStep):
    """DerivePositionStar.

    Derive Position and Offset of Star. This is the MICADO equivalent of the
    QACITS centroiding algorithm.
    """

    previous = persistent(
        "Detrended OPT/SCI image. [][None]", DeriveDpsicsDetrend, None
    )
