# -*- coding: utf-8 -*-
"""McdHciOptSciBase.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Recipe import Recipe, persistent
from micado.recipes.DerivePositionStar import DerivePositionStar


class McdHciOptSciBase(Recipe):
    """McdHciOptSciBase.

    mcd_hci_opt/sci base mock recipe. This recipe calls the MICADO equivalent
    of the QACITS centering algorithm. This recipe is normally not run on the
    workstations. It is included only to a) facilitate
    design/implementation/testing/validation of the algorithm and b) to allow
    scientists to redo the online calculation.
    """

    process = persistent("process [][None]", DerivePositionStar, None)
