# -*- coding: utf-8 -*-
"""mcd_img_detrend recipe."""

from micado.dataitems.Detrend import Detrend
from micado.dataitems.DetrendExtension import DetrendExtension


def make(self: Detrend):
    """mcd_img_detrend recipe."""
    # Propagate attributes.
    self.filtname = self.raw.filtname
    self.mjdobs = self.raw.mjdobs
    self.tpl__start = self.raw.tpl__start
    self.ra = self.raw.ra
    self.dec = self.raw.dec

    # Calculate pixel values.
    # TODO: Use flat field.
    extensions_masterdark = (
        self.masterdark.extensions
        if self.masterdark is not None
        else [None] * len(self.raw.extensions)
    )
    self.extensions = []
    for rawextension, darkextension in zip(self.raw.extensions, extensions_masterdark):
        nexte = DetrendExtension(
            NAXIS=rawextension.NAXIS,
            NAXIS1=rawextension.NAXIS1,
            NAXIS2=rawextension.NAXIS2,
            BITPIX=rawextension.BITPIX,
        )
        nexte.image = (
            rawextension.image - darkextension.image
            if darkextension is not None
            else rawextension.image
        )
        self.extensions.append(nexte)
