# -*- coding: utf-8 -*-
"""SpatialCrossmatchDistortion.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Cat import Cat, persistent
from micado.recipes.CreateSourceCatalogFinal import CreateSourceCatalogFinal
from micado.dataitems.DistortionRefBase import DistortionRefBase
from micado.main.RecipeStepExtra import RecipeStepBase


class SpatialCrossmatchDistortion(Cat, RecipeStepBase):
    """SpatialCrossmatch for distortion derivation."""

    previous = persistent("None [][None]", CreateSourceCatalogFinal, None)

    distortionref = persistent("None [][None]", DistortionRefBase, None)
