# -*- coding: utf-8 -*-
"""SubtractBackground.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.dataitems.DetrendBase import DetrendBase
from micado.dataitems.Background import Background
from micado.main.RecipeStepExtra import RecipeStepBase


class SubtractBackground(Img, RecipeStepBase):
    """Subtract background."""

    detrend = persistent("Detrended Science Image [][None]", DetrendBase, None)

    background = persistent("background image [][None]", Background, None)
