# -*- coding: utf-8 -*-
"""McdImgOptBase.

This module is part of the template description.

There should be a one-to-one correspondence between template classes and
template descriptions by the ICS team. The exception is templates that
create several kinds of raw data; which is not supported in MicadoWISE.
The secondary data of these templates (e.g. a background field) has a
template with as name ....Virtual.

In the future it would be better to generate these classes directly from
the ICS software.

This file is automatically generated. Do not modify!
"""

from micado.main.Template import Template, persistent


class McdImgOptBase(Template):
    """None."""

    ins__filt1__name = persistent("Filter name [INS FILT1 NAME][None]", str, "open")

    ins__filt2__name = persistent("Filter name [INS FILT2 NAME][None]", str, "open")

    ins__opti6__name = persistent(
        "Pupil wheel filter name [INS OPTI6 NAME][None]", str, "open"
    )

    ins__drot = persistent("Derotator angle [INS DROT][degree]", float, 0.0)
